//
// Created by sebastian on 09.02.26.
//

#include "GUIShader.h"

void GUIShader::loadTransformationMatrix(glm::mat4 matrix) {
    ShaderProgram::loadMatrix(location_transformationMatrix, matrix);
}

void GUIShader::getAllUniformLocations() {
    location_transformationMatrix = ShaderProgram::getUniformLocation("transformationMatrix");
}

void GUIShader::bindAttributes() const {
    ShaderProgram::bindAttribute(0, "position");
}
